# -*- encoding: binary -*-
require './test/exec'

class TestMogIntegration < Test::Unit::TestCase
  include TestExec

  def test_dummy
    assert true, "Ruby 1.8 Test::Unit is broken"
  end unless defined?(MiniTest)

  def setup
    @to_close = []
    @trackers = ENV["MOG_TEST_TRACKERS"].split(/,/)
    domain = "rbmogtest#{Time.now.strftime('%Y%m%d%H%M%S')}.#{uuid}"
    @admin = MogileFS::Admin.new(:hosts => @trackers)
    @admin.create_domain(domain)
    yield_for_monitor_update do
      @admin.get_domains.include?(domain) and break
    end
    @domain = domain
  end

  def teardown
    if defined?(@domain)
      client = MogileFS::MogileFS.new :hosts => @trackers, :domain => @domain
      client.each_key("") { |key|
        p [ :delete, key ] if $VERBOSE
        client.delete(key)
      }
      assert_equal true, @admin.delete_domain(@domain)
      assert_raises(MogileFS::Backend::DomainNotFoundError) do
        @admin.delete_domain(@domain)
      end
    end
    @to_close.each do |io|
      io.closed? or io.close
    end
  end
end if ENV["MOG_TEST_TRACKERS"]

class TestMogIntegration
  warn "MOG_TEST_TRACKERS not defined"
end unless ENV["MOG_TEST_TRACKERS"]
